Bug 243927 - Review Request: xfce4-volstatus-icon - System tray icon to easily eject removable devices
Review Request: xfce4-volstatus-icon - System tray icon to easily eject remov...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-12 15:49 EDT by Christoph Wickert
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.1.0-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-18 18:30:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2007-06-12 15:49:44 EDT
Spec URL: http://home.arcor.de/christoph.wickert/fedora/review/xfce4-volstatus-icon.spec
SRPM URL: http://home.arcor.de/christoph.wickert/fedora/review/xfce4-volstatus-icon-0.1.0-1.fc8.src.rpm
Description: Xfce4 Volstatus Icon is a system tray icon that allows you to easily eject removable devices from your system, without needing to open a terminal or 
Thunar window.
Comment 1 Kevin Fenzi 2007-06-12 18:15:37 EDT
I'd be happy to review this. Look for a full review after a while here. 
Comment 2 Kevin Fenzi 2007-06-12 19:06:35 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
b7848ebda5ce86810bd6dc27b915e192  xfce4-volstatus-icon-0.1.0.tar.bz2
b7848ebda5ce86810bd6dc27b915e192  xfce4-volstatus-icon-0.1.0.tar.bz2.1
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have dist tag
OK - Should package latest version

Issues:

None.

No blockers/issues at all, hard as I try to find one. ;)

This package is APPROVED. Don't forget to close this request once it's been
imported and built.
Comment 3 Christoph Wickert 2007-06-12 19:12:37 EDT
New Package CVS Request
=======================
Package Name: xfce4-volstatus-icon
Short Description: System tray icon to easily eject removable devices
Owners: fedora@christoph-wickert.de
Branches: FC-6 F-7
InitialCC: kevin@tummy.com
Comment 4 Kevin Fenzi 2007-06-12 19:40:39 EDT
cvs done.
Comment 5 Fedora Update System 2007-06-13 17:02:48 EDT
xfce4-volstatus-icon-0.1.0-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2007-06-18 18:30:13 EDT
xfce4-volstatus-icon-0.1.0-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.